# _TypeMetric Struct Reference

`#include <draw.h>`

## Data Fields

PointInfo | pixels_per_em
double | ascent
double | descent
double | width
double | height
double | max_advance
double | underline_position
double | underline_thickness
SegmentInfo | bounds
PointInfo | origin

## Field Documentation

PointInfo _TypeMetric::pixels_per_em

double _TypeMetric::ascent

double _TypeMetric::descent

double _TypeMetric::width

double _TypeMetric::height

double _TypeMetric::max_advance

double _TypeMetric::underline_position

double _TypeMetric::underline_thickness

SegmentInfo _TypeMetric::bounds

PointInfo _TypeMetric::origin

The documentation for this struct was generated from the following file:

- draw.h